// Generated by CoffeeScript 1.6.3
/*
This file is part of the Mooch package.

Copyright © 2013 Erin Millard

For the full copyright and license information, please view the LICENSE
file that was distributed with this source code.
*/


(function() {
  var Logger, util,
    __slice = [].slice;

  util = require('util');

  module.exports = Logger = (function() {
    function Logger(moment, output) {
      if (moment == null) {
        moment = require('moment');
      }
      if (output == null) {
        output = console;
      }
      this._moment = moment;
      this._output = output;
    }

    Logger.prototype.log = function() {
      var category, message, messageArguments;
      category = arguments[0], message = arguments[1], messageArguments = 3 <= arguments.length ? __slice.call(arguments, 2) : [];
      return this._output.log('[%s] [%s] %s', this._moment().format(), category, util.format.apply(util, [message].concat(__slice.call(messageArguments))));
    };

    Logger.prototype.error = function() {
      var message, messageArguments;
      message = arguments[0], messageArguments = 2 <= arguments.length ? __slice.call(arguments, 1) : [];
      return this._output.error('[%s] [error] %s', this._moment().format(), util.format.apply(util, [message].concat(__slice.call(messageArguments))));
    };

    return Logger;

  })();

}).call(this);
